[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file /feed.php on line 173: Cannot modify header information - headers already sent by (output started at /includes/functions.php:3765)
[phpBB Debug] PHP Warning: in file /feed.php on line 174: Cannot modify header information - headers already sent by (output started at /includes/functions.php:3765)
AI Challenge Forums Falls 2011, sponsored by Google 2011-12-04T16:49:18+00:00 http://forums.aichallenge.org/feed.php?f=26&t=1483 2011-12-04T16:49:18+00:00 2011-12-04T16:49:18+00:00 http://forums.aichallenge.org/viewtopic.php?t=1483&p=12454#p12454 <![CDATA[Re: Update Mono to support C# 4.0]]> I also would like to write on C# 4.0. Actually I have written my bot on it, but now I can't compile my code. C# 4 has many useful features: default parameters, tuples, ect.
Additional problem was with string.Join() which don't want to receive IEnumerable<string>.
Please, include the C# 4 compiler...

Statistics: Posted by PostScriptum — Sun Dec 04, 2011 4:49 pm


]]>
2011-11-02T02:45:24+00:00 2011-11-02T02:45:24+00:00 http://forums.aichallenge.org/viewtopic.php?t=1483&p=10524#p10524 <![CDATA[Re: Update Mono to support C# 4.0]]> Statistics: Posted by TeamUnknown — Wed Nov 02, 2011 2:45 am


]]>
2011-10-23T15:43:46+00:00 2011-10-23T15:43:46+00:00 http://forums.aichallenge.org/viewtopic.php?t=1483&p=9674#p9674 <![CDATA[Re: Update Mono to support C# 4.0]]> As for the reasons, both Mono 2.8 and 2.10 feature performance improvements and bug fixes. That should be enough of a reason to upgrade from venerable 2.6, even if not all features of C# 4 are implemented there, or considered "game breaker".

Statistics: Posted by casual — Sun Oct 23, 2011 3:43 pm


]]>
2011-10-22T17:18:13+00:00 2011-10-22T17:18:13+00:00 http://forums.aichallenge.org/viewtopic.php?t=1483&p=9592#p9592 <![CDATA[Re: Update Mono to support C# 4.0]]> Statistics: Posted by Savaron — Sat Oct 22, 2011 5:18 pm


]]>
2011-10-17T21:27:01+00:00 2011-10-17T21:27:01+00:00 http://forums.aichallenge.org/viewtopic.php?t=1483&p=9360#p9360 <![CDATA[Re: Update Mono to support C# 4.0]]>
You're not allowed to run anything in parallel and you can't use the external code contracts library.

There has been so many issues with C# and changing version, so would it really be necessary to introduce new bugs just before the competition starts?

Statistics: Posted by athena — Mon Oct 17, 2011 9:27 pm


]]>
2011-10-17T07:37:47+00:00 2011-10-17T07:37:47+00:00 http://forums.aichallenge.org/viewtopic.php?t=1483&p=9353#p9353 <![CDATA[Re: Update Mono to support C# 4.0]]> - Dynamic binding support
- Generic type variance
- Optional parameters
- Named arguments

.NET 4.0 frameworks:
- Parallel Framework + PLinq
- Code Contracts

Mono 2.8+ Improvements:
- New Garbage Collection engine (mono --gc=sgen or mono-sgen)
- Large performance improvements

Mono 2.10 Improvements:
- Improved the Mono runtime's sandbox ()

Of course it's not big changes, but you're already using Ubuntu for Java, C++, PHP.
Upgrade to Ubuntu 11.10 is easier prior the competition than later.

Statistics: Posted by quizunder — Mon Oct 17, 2011 7:37 am


]]>
2011-10-16T16:08:15+00:00 2011-10-16T16:08:15+00:00 http://forums.aichallenge.org/viewtopic.php?t=1483&p=9350#p9350 <![CDATA[Re: Update Mono to support C# 4.0]]> Statistics: Posted by athena — Sun Oct 16, 2011 4:08 pm


]]>
2011-10-15T19:50:04+00:00 2011-10-15T19:50:04+00:00 http://forums.aichallenge.org/viewtopic.php?t=1483&p=9345#p9345 <![CDATA[Update Mono to support C# 4.0]]> Ubuntu Oneiric (11.10) include

Statistics: Posted by quizunder — Sat Oct 15, 2011 7:50 pm


]]>